from graphene import ObjectType, Int

from bot_data.model.client import Client


class ClientQueryType(ObjectType):
    id = Int()
    discord_client_id = Int()
    sent_message_count = Int()
    received_message_count = Int()
    deleted_message_count = Int()
    received_command_count = Int()
    moved_users_count = Int()

    @staticmethod
    def resolve_id(client: Client, info):
        return client.client_id
